> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create business user

> Create a new business user account with extended company information



## OpenAPI

````yaml post /api/v1/account/business-user
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/business-user:
    post:
      tags:
        - business-user
      summary: Create business user
      description: Create a new business user account with extended company information
      requestBody:
        $ref: '#/components/requestBodies/dto.CreateBusinessUserRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.BusinessUserResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    dto.CreateBusinessUserRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/dto.CreateBusinessUserRequest'
      description: Business user details
      required: true
  schemas:
    dto.BusinessUserResponse:
      properties:
        businessActivity:
          $ref: '#/components/schemas/dto.BusinessActivityResponse'
        company:
          $ref: '#/components/schemas/dto.BusinessCompanyResponse'
        id:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        kybLevel:
          example: REGULAR
          type: string
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.CreateBusinessUserRequest:
      properties:
        businessActivity:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessActivityRequest
        company:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessCompanyRequest
      required:
        - businessActivity
        - company
      type: object
    dto.BusinessActivityResponse:
      properties:
        businessNature:
          example: Online retail of electronic products
          type: string
        companySize:
          $ref: '#/components/schemas/dto.CompanySizeResponse'
        existingProviders:
          $ref: '#/components/schemas/dto.ExistingProvidersResponse'
        expectedMonthlyVolume:
          description: >-
            Expected monthly volume. Possible values: LESS_THAN_50K,
            50K_TO_250K, 250K_TO_500K, 500K_TO_1M, MORE_THAN_1M
          enum:
            - LESS_THAN_50K
            - 50K_TO_250K
            - 250K_TO_500K
            - 500K_TO_1M
            - MORE_THAN_1M
          example: 50K_TO_250K
          type: string
        fundsFlow:
          $ref: '#/components/schemas/dto.FundsFlowResponse'
        industryType:
          description: >-
            Industry type. Possible values: WHOLESALE, RETAIL, CRYPTO_FINTECH,
            ECOMMERCE, EDUCATION, ENTERTAINMENT, GOVERNMENT, HOSPITALITY,
            MANUFACTURING, PAYMENTS_REMITTANCE, FINANCIAL_SERVICES,
            PROFESSIONAL_SERVICES, HEALTHCARE, TRANSPORT_LOGISTICS, REAL_ESTATE,
            NON_PROFIT, OTHER
          enum:
            - WHOLESALE
            - RETAIL
            - CRYPTO_FINTECH
            - ECOMMERCE
            - EDUCATION
            - ENTERTAINMENT
            - GOVERNMENT
            - HOSPITALITY
            - MANUFACTURING
            - PAYMENTS_REMITTANCE
            - FINANCIAL_SERVICES
            - PROFESSIONAL_SERVICES
            - HEALTHCARE
            - TRANSPORT_LOGISTICS
            - REAL_ESTATE
            - NON_PROFIT
            - OTHER
          example: ECOMMERCE
          type: string
        industryTypeOther:
          example: Digital Marketing
          type: string
        msbRelationship:
          $ref: '#/components/schemas/dto.MsbRelationshipResponse'
        productsAndServices:
          example:
            - Electronics
            - Accessories
            - Software
          items:
            type: string
          type: array
        revenueBreakdown:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.RevenueBreakdownItem
          type: array
        revenueModel:
          example: Direct sales to consumers
          type: string
      type: object
    dto.BusinessCompanyResponse:
      properties:
        addresses:
          $ref: '#/components/schemas/dto.BusinessAddressesResponse'
        aliasName:
          example: Acme Corp
          type: string
        contact:
          $ref: '#/components/schemas/dto.BusinessContactResponse'
        incorporation:
          $ref: '#/components/schemas/dto.BusinessIncorporationResponse'
        legalName:
          example: Acme Corporation S.L.
          type: string
        website:
          example: https://www.acmecorp.com
          type: string
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    internal_account_handler_dto.BusinessActivityRequest:
      properties:
        businessNature:
          example: Online retail of electronic products
          type: string
        companySize:
          $ref: '#/components/schemas/internal_account_handler_dto.CompanySizeRequest'
        existingProviders:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.ExistingProvidersRequest
        expectedMonthlyVolume:
          description: >-
            Expected monthly volume. Possible values: LESS_THAN_50K,
            50K_TO_250K, 250K_TO_500K, 500K_TO_1M, MORE_THAN_1M
          enum:
            - LESS_THAN_50K
            - 50K_TO_250K
            - 250K_TO_500K
            - 500K_TO_1M
            - MORE_THAN_1M
          example: 50K_TO_250K
          type: string
        fundsFlow:
          $ref: '#/components/schemas/internal_account_handler_dto.FundsFlowRequest'
        industryType:
          description: >-
            Industry type. Possible values: WHOLESALE, RETAIL, CRYPTO_FINTECH,
            ECOMMERCE, EDUCATION, ENTERTAINMENT, GOVERNMENT, HOSPITALITY,
            MANUFACTURING, PAYMENTS_REMITTANCE, FINANCIAL_SERVICES,
            PROFESSIONAL_SERVICES, HEALTHCARE, TRANSPORT_LOGISTICS, REAL_ESTATE,
            NON_PROFIT, OTHER
          enum:
            - WHOLESALE
            - RETAIL
            - CRYPTO_FINTECH
            - ECOMMERCE
            - EDUCATION
            - ENTERTAINMENT
            - GOVERNMENT
            - HOSPITALITY
            - MANUFACTURING
            - PAYMENTS_REMITTANCE
            - FINANCIAL_SERVICES
            - PROFESSIONAL_SERVICES
            - HEALTHCARE
            - TRANSPORT_LOGISTICS
            - REAL_ESTATE
            - NON_PROFIT
            - OTHER
          example: ECOMMERCE
          type: string
        industryTypeOther:
          example: Digital Marketing
          type: string
        msbRelationship:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.MsbRelationshipRequest
        productsAndServices:
          example:
            - Electronics
            - Accessories
            - Software
          items:
            type: string
          type: array
        revenueBreakdown:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.RevenueBreakdownItem
          type: array
        revenueModel:
          example: Direct sales to consumers
          type: string
      required:
        - businessNature
        - industryType
        - revenueModel
      type: object
    internal_account_handler_dto.BusinessCompanyRequest:
      properties:
        addresses:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessAddressesRequest
        aliasName:
          example: Acme Corp
          type: string
        contact:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessContactRequest
        incorporation:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessIncorporationRequest
        legalName:
          example: Acme Corporation S.L.
          type: string
        website:
          example: https://www.acmecorp.com
          type: string
      required:
        - addresses
        - contact
        - incorporation
        - legalName
        - website
      type: object
    dto.CompanySizeResponse:
      properties:
        branchesInCountry:
          example: 3
          type: integer
        branchesOutsideCountry:
          example: 1
          type: integer
        totalEmployees:
          example: 25
          type: integer
      type: object
    dto.ExistingProvidersResponse:
      properties:
        banks:
          example:
            - Santander
            - BBVA
          items:
            type: string
          type: array
        psps:
          example:
            - Stripe
            - PayPal
          items:
            type: string
          type: array
      type: object
    dto.FundsFlowResponse:
      properties:
        inwardsPayments:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.FundsFlowPaymentItem
          type: array
        outwardsPayments:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.FundsFlowPaymentItem
          type: array
      type: object
    dto.MsbRelationshipResponse:
      properties:
        purposeOfTransactions:
          example: Payment for goods and services
          type: string
        targetClients:
          example: B2C consumers in Europe
          type: string
      type: object
    internal_account_handler_dto.RevenueBreakdownItem:
      properties:
        percentage:
          example: 60
          maximum: 100
          minimum: 0
          type: integer
        productOrService:
          example: Electronics
          type: string
      required:
        - percentage
        - productOrService
      type: object
    dto.BusinessAddressesResponse:
      properties:
        operational:
          $ref: '#/components/schemas/dto.BusinessAddressResponse'
        registered:
          $ref: '#/components/schemas/dto.BusinessAddressResponse'
      type: object
    dto.BusinessContactResponse:
      properties:
        email:
          example: contact@acmecorp.com
          type: string
        mobileCountryCode:
          example: ES
          type: string
        mobileNumber:
          example: '+34612345678'
          type: string
        phoneNumber:
          example: '+34912345678'
          type: string
        phoneNumberCountry:
          example: ES
          type: string
      type: object
    dto.BusinessIncorporationResponse:
      properties:
        constitutionType:
          example: LLC
          type: string
        constitutionTypeOther:
          example: Joint Venture
          type: string
        country:
          example: ES
          type: string
        date:
          example: '2020-01-15'
          type: string
        documentNumber:
          example: B12345678
          type: string
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
    internal_account_handler_dto.CompanySizeRequest:
      properties:
        branchesInCountry:
          example: 3
          minimum: 0
          type: integer
        branchesOutsideCountry:
          example: 1
          minimum: 0
          type: integer
        totalEmployees:
          example: 25
          minimum: 0
          type: integer
      type: object
    internal_account_handler_dto.ExistingProvidersRequest:
      properties:
        banks:
          example:
            - Santander
            - BBVA
          items:
            type: string
          type: array
        psps:
          example:
            - Stripe
            - PayPal
          items:
            type: string
          type: array
      type: object
    internal_account_handler_dto.FundsFlowRequest:
      properties:
        inwardsPayments:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.FundsFlowPaymentItem
          type: array
        outwardsPayments:
          items:
            $ref: >-
              #/components/schemas/internal_account_handler_dto.FundsFlowPaymentItem
          type: array
      type: object
    internal_account_handler_dto.MsbRelationshipRequest:
      properties:
        purposeOfTransactions:
          example: Payment for goods and services
          type: string
        targetClients:
          example: B2C consumers in Europe
          type: string
      type: object
    internal_account_handler_dto.BusinessAddressesRequest:
      properties:
        operational:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessAddressRequest
        registered:
          $ref: >-
            #/components/schemas/internal_account_handler_dto.BusinessAddressRequest
      required:
        - operational
        - registered
      type: object
    internal_account_handler_dto.BusinessContactRequest:
      properties:
        email:
          example: contact@acmecorp.com
          type: string
        mobileCountryCode:
          example: ES
          type: string
        mobileNumber:
          example: '+34612345678'
          type: string
        phoneNumber:
          example: '+34912345678'
          type: string
        phoneNumberCountry:
          example: ES
          type: string
      required:
        - email
        - mobileCountryCode
        - mobileNumber
        - phoneNumber
        - phoneNumberCountry
      type: object
    internal_account_handler_dto.BusinessIncorporationRequest:
      properties:
        constitutionType:
          enum:
            - INDIVIDUAL
            - CORPORATION
            - LLC
            - PARTNERSHIP
            - LIMITED_PARTNERSHIP
            - SOLE_PROPRIETORSHIP
            - COOPERATIVE
            - NON_PROFIT
            - GOVERNMENT
            - TRUST
            - FINANCIAL_INSTITUTION
            - FOUNDATION
            - OTHER
          example: LLC
          type: string
        constitutionTypeOther:
          example: Joint Venture
          type: string
        country:
          example: ES
          type: string
        date:
          example: '2020-01-15'
          type: string
        documentNumber:
          example: B12345678
          type: string
      required:
        - constitutionType
        - country
        - date
        - documentNumber
      type: object
    internal_account_handler_dto.FundsFlowPaymentItem:
      properties:
        country:
          example: ES
          type: string
        percentage:
          example: 70
          maximum: 100
          minimum: 0
          type: integer
        productSector:
          example: Electronics
          type: string
      required:
        - country
        - percentage
      type: object
    dto.BusinessAddressResponse:
      properties:
        city:
          example: Madrid
          type: string
        country:
          example: ES
          type: string
        line1:
          example: Calle Gran Via 123
          type: string
        postalCode:
          example: '28013'
          type: string
        province:
          example: Madrid
          type: string
      type: object
    internal_account_handler_dto.BusinessAddressRequest:
      properties:
        city:
          example: Madrid
          type: string
        country:
          example: ES
          type: string
        line1:
          example: Calle Gran Via 123
          type: string
        postalCode:
          example: '28013'
          type: string
        province:
          example: Madrid
          type: string
      required:
        - city
        - country
        - line1
        - postalCode
        - province
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````